Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Class XSPNames

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.XSPNames

    public class XSPNames

extends Object

Constants for the Protege XML Schema datatype extensions.

Author:
  Holger Knublauch

Field Summary
`static String` | `BASE` Deprecated. use the helper method `XSPNames.get(OWLModel owlModel, int resourceID)`
`static String` | `DEFAULT_PREFIX`
`static String` | `FRACTION_DIGITS` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static String` | `LENGTH` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static String` | `MAX_EXCLUSIVE` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static String` | `MAX_INCLUSIVE` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static String` | `MAX_LENGTH` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static String` | `MIN_EXCLUSIVE` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static String` | `MIN_INCLUSIVE` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static String` | `MIN_LENGTH` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static int` | `NAMES_COUNT`
`static String` | `NS`
`static String` | `PATTERN` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static String` | `PREFIX` Deprecated. use `XSPNames.DEFAULT_PREFIX`
`static String` | `TOTAL_DIGITS` Deprecated. use the helper method `XSPNames.get(int resourceID)`
`static String` | `URI`
`static int` | `XSP_BASE`
`static int` | `XSP_FRACTION_DIGITS`
`static int` | `XSP_LENGTH`
`static int` | `XSP_MAX_EXCLUSIVE`
`static int` | `XSP_MAX_INCLUSIVE`
`static int` | `XSP_MAX_LENGTH`
`static int` | `XSP_MIN_EXCLUSIVE`
`static int` | `XSP_MIN_INCLUSIVE`
`static int` | `XSP_MIN_LENGTH`
`static int` | `XSP_PATTERN`
`static int` | `XSP_TOTAL_DIGITS`

Constructor Summary
`XSPNames()`

Method Summary
`static String` | `getName(OWLModel owlModel, int resourceID)`
`static RDFProperty` | `getRDFProperty(OWLModel owlModel, int resourceID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI

    public static final String URI

See Also:
  Constant Field Values

### NS

    public static final String NS

See Also:
  Constant Field Values

### DEFAULT_PREFIX

    public static final String DEFAULT_PREFIX

See Also:
  Constant Field Values

### XSP_BASE

    public static final int XSP_BASE

See Also:
  Constant Field Values

### XSP_FRACTION_DIGITS

    public static final int XSP_FRACTION_DIGITS

See Also:
  Constant Field Values

### XSP_LENGTH

    public static final int XSP_LENGTH

See Also:
  Constant Field Values

### XSP_MIN_EXCLUSIVE

    public static final int XSP_MIN_EXCLUSIVE

See Also:
  Constant Field Values

### XSP_MIN_INCLUSIVE

    public static final int XSP_MIN_INCLUSIVE

See Also:
  Constant Field Values

### XSP_MAX_EXCLUSIVE

    public static final int XSP_MAX_EXCLUSIVE

See Also:
  Constant Field Values

### XSP_MAX_INCLUSIVE

    public static final int XSP_MAX_INCLUSIVE

See Also:
  Constant Field Values

### XSP_MIN_LENGTH

    public static final int XSP_MIN_LENGTH

See Also:
  Constant Field Values

### XSP_MAX_LENGTH

    public static final int XSP_MAX_LENGTH

See Also:
  Constant Field Values

### XSP_PATTERN

    public static final int XSP_PATTERN

See Also:
  Constant Field Values

### XSP_TOTAL_DIGITS

    public static final int XSP_TOTAL_DIGITS

See Also:
  Constant Field Values

### NAMES_COUNT

    public static final int NAMES_COUNT

See Also:
  Constant Field Values

### PREFIX

    public static final String PREFIX

  Deprecated. use `XSPNames.DEFAULT_PREFIX`
  See Also:
    Constant Field Values

### BASE

    public static final String BASE

  Deprecated. use the helper method `XSPNames.get(OWLModel owlModel, int resourceID)`
  See Also:
    Constant Field Values

### FRACTION_DIGITS

    public static final String FRACTION_DIGITS

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

### LENGTH

    public static final String LENGTH

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

### MIN_EXCLUSIVE

    public static final String MIN_EXCLUSIVE

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

### MIN_INCLUSIVE

    public static final String MIN_INCLUSIVE

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

### MAX_EXCLUSIVE

    public static final String MAX_EXCLUSIVE

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

### MAX_INCLUSIVE

    public static final String MAX_INCLUSIVE

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

### MIN_LENGTH

    public static final String MIN_LENGTH

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

### MAX_LENGTH

    public static final String MAX_LENGTH

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

### PATTERN

    public static final String PATTERN

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

### TOTAL_DIGITS

    public static final String TOTAL_DIGITS

  Deprecated. use the helper method `XSPNames.get(int resourceID)`
  See Also:
    Constant Field Values

Constructor Detail

### XSPNames

    public XSPNames()

Method Detail

### getName

    public static String getName(OWLModel owlModel,
                                 int resourceID)

### getRDFProperty

    public static RDFProperty getRDFProperty(OWLModel owlModel,
                                             int resourceID)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.